The BOOST_PP_GREATER_EQUAL macro compares two values for equality or greater magnitude.

#### Usage

BOOST_PP_GREATER_EQUAL(x, y)

#### Arguments

x
  The left operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.
y
  The right operand of the comparison. Valid values range from 0 to BOOST_PP_LIMIT_MAG.

#### Remarks

If x is greater than or equal to y, this macro expands to 1. Otherwise, it expands to 0.
Previously, this macro could not be used inside BOOST_PP_WHILE. There is no longer any such restriction. It is more efficient, however, to use BOOST_PP_GREATER_EQUAL_D in such a situation.

#### See Also

- BOOST_PP_GREATER_EQUAL_D
- BOOST_PP_LIMIT_MAG

#### Requirements

Header: <boost/preprocessor/comparison/greater_equal.hpp>

#### Sample Code

    #include <boost/preprocessor/comparison/greater_equal.hpp>

    BOOST_PP_GREATER_EQUAL(4, 3) // expands to 1
    BOOST_PP_GREATER_EQUAL(5, 5) // expands to 1